<?php
/*
  Vista de la ultima noticia de wordpress o de las ultimas noticias de wordpress.
  Funciones a disposicion del diseñador/Maquetador/programador
  get_the_category()
  the_category() => Da las categoría o categorías pudiendo pasarle como primero valor el separador entre ellas
  the_title() => nos da el titulo de la noticia
  get_permalink() => nos da el enlace hacia la noticia
  has_post_thumbnail() => nos devuelve si existe una imagen de portada
  the_post_thumbnail() => nos da la imagen destacada tambien llamada de portada del post, pudiendo pasarle como primer valor el tamaño 			small | medium | large y como segundo parametro un array de valores, a destacar de momento la posibilidad de que la imagen tenga una clase concreta.
  bloginfo('template_directory') =>informacion del blog, en esta ocasion solo la ruta haciea el template
 */
//ob_start();
?>
<div class="noticia">
<p class="images_not">
    <?php
    if (has_post_thumbnail()) {
        the_post_thumbnail('medium', array('class' => "img-responsive"));
    } else {
        ?>
        <img src="<?php bloginfo('template_directory'); ?>/images/notimg.png" alt="no imagen"/>                    

    <?php } ?>
	</p>
	<div>
    <?php
    the_title('<h3><a href="' . get_permalink() . '" title="leer m&aacute;s">', '</a></h3>');
    ?>
    <span><?php the_category(","); ?><i class="esquina_noticias"></i></span>

        <?php
		 add_filter( 'excerpt_length', function( $length ) { return 20; } );
        the_excerpt();
        ?>
    </div>
    <a href="<?= get_permalink(); ?>" class="libro" title="Leer m&aacute;s">Leer m&aacute;s</a>

</div>
<?php
/*$flux = ob_get_clean();
echo iconv("UTF-8", "ISO-8859-1//TRANSLIT", $flux), PHP_EOL;
unset($flux);
ob_end_flush();*/
?>

